add_clip_rect(3)

NAME
add_clip_rect - Intersects a bitmap's clipping rectangle with the given area. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void add_clip_rect(BITMAP *bitmap, int x1, int y1, int x2, int y2);

DESCRIPTION
Sets the clipping rectangle of the specified bitmap as the intersection of its current clipping rectangle and the rectangle described by the four coordinates.

SEE ALSO
set_clip_rect(3), get_clip_rect(3), set_clip_state(3), get_clip_state(3)